;;; 01-custom-early-init --- Provide early init vars

;;; Commentary:

;;; Code:

(defvar file-name-handler-alist-old file-name-handler-alist)
(defvar personal-keybindings nil
  "List of bindings performed by `bind-key'.
Elements have the form ((KEY . [MAP]) CMD ORIGINAL-CMD)")

(setq file-name-handler-alist nil
      gc-cons-threshold 402653184
      gc-cons-percentage 0.6
      auto-window-vscroll nil)

(setq safe-local-variable-values (quote (
                                         (visual-line-mode . 1)
                                         (eval org-content 2)
                                         (eval org-content 3)
                                         (whitespace-line-column . 120)
                                         )))

(setq custom-file (concat user-emacs-directory "lisp/unused.el"))

(add-hook 'after-init-hook
          `(lambda ()
             (setq file-name-handler-alist file-name-handler-alist-old
                   gc-cons-threshold 100000000
                   gc-cons-percentage 0.1
                   )
             (garbage-collect)) t)

(provide '01-custom-early-init)
;;; 01-custom-early-init.el ends here
