;;; 07_5-custom-created-packages --- Provide all the custom code I've created

;;; Commentary:

;;; Code:


(use-package convert-to-table
  :commands leo/convert-to-table
  :load-path "custom/convert-to-table")

(use-package ol-dired
  :demand t
  :load-path "custom/ol-dired")

(use-package ol-message
  :demand t
  :load-path "custom/ol-message")

(use-package ol-sflogin
  :demand t
  :load-path "custom/ol-sflogin")

(use-package sfdx
  :load-path "custom/sfdx"
  :bind
  ("M-<tab>" . sfdx/next-component-file)
  ("C-x C-l s" . sfdx/transient-action))

(use-package json
  :straight (
             :type git
             :host github
             :repo "ryancrum/json.el"
             :branch "master")
  :commands (json-read json-read-from-string json-encode))

(use-package gcode
  :straight (
             :type git
             :host github
             :repo "jasapp/gcode-emacs"
             :branch "master")
  :commands gcode-mode)

(use-package vlocitemacs
  :load-path "custom/vlocitemacs"
  :bind
  ("C-x C-l v" . vlo/transient-action))




(provide '07_5-custom-created-packages)
;;; 07_5-custom-created-packages.el ends here
