;;; ol-sflogin.el --- Support for links to auto-login to Salesforce

;;; Commentary:

;;; Code:

(require 'ol)

(defun org-sflogin-complete (result)
  "Login to SF is complete with RESULT."
  (message "Launching Org in Browser..."))

(defun org-sflogin-command (username)
  "The command used to login to salesforce with USERNAME directly."
  (message "Logging into Salesforce...")
  (async-start-process "sfdx:login" "sfdx" 'org-sflogin-complete "force:org:open" "-u" username))

(org-link-set-parameters "sflogin"
                         :follow #'org-sflogin-command)

(provide 'ol-sflogin)
;;; ol-sflogin.el ends here
